Open CASCADE Technology: BRep_TEdge Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRep_TEdge Class Reference

The TEdge from BRep is inherited from the TEdge from TopoDS. It contains the geometric data. More...

`#include <BRep_TEdge.hxx>`

Inheritance diagram for BRep_TEdge:
[legend]

## Public Member Functions
| BRep_TEdge ()
| Creates an empty TEdge. More...
Standard_Real | Tolerance () const
void | Tolerance (const Standard_Real T)
void | UpdateTolerance (const Standard_Real T)
| Sets the tolerance to the max of <T> and the current tolerance. More...
Standard_Boolean | SameParameter () const
void | SameParameter (const Standard_Boolean S)
Standard_Boolean | SameRange () const
void | SameRange (const Standard_Boolean S)
Standard_Boolean | Degenerated () const
void | Degenerated (const Standard_Boolean S)
const BRep_ListOfCurveRepresentation & | Curves () const
BRep_ListOfCurveRepresentation & | ChangeCurves ()
Handle< TopoDS_TShape > | EmptyCopy () const
| Returns a copy of the TShape with no sub-shapes. More...
Public Member Functions inherited from TopoDS_TEdge
TopAbs_ShapeEnum | ShapeType () const
| Returns EDGE. More...
Public Member Functions inherited from TopoDS_TShape
Standard_Boolean | Free () const
| Returns the free flag. More...
void | Free (const Standard_Boolean F)
| Sets the free flag. More...
Standard_Boolean | Locked () const
| Returns the locked flag. More...
void | Locked (const Standard_Boolean F)
| Sets the locked flag. More...
Standard_Boolean | Modified () const
| Returns the modification flag. More...
void | Modified (const Standard_Boolean M)
| Sets the modification flag. More...
Standard_Boolean | Checked () const
| Returns the checked flag. More...
void | Checked (const Standard_Boolean C)
| Sets the checked flag. More...
Standard_Boolean | Orientable () const
| Returns the orientability flag. More...
void | Orientable (const Standard_Boolean C)
| Sets the orientability flag. More...
Standard_Boolean | Closed () const
| Returns the closedness flag. More...
void | Closed (const Standard_Boolean C)
| Sets the closedness flag. More...
Standard_Boolean | Infinite () const
| Returns the infinity flag. More...
void | Infinite (const Standard_Boolean C)
| Sets the infinity flag. More...
Standard_Boolean | Convex () const
| Returns the convexness flag. More...
void | Convex (const Standard_Boolean C)
| Sets the convexness flag. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from TopoDS_TEdge
| TopoDS_TEdge ()
| Construct an edge. More...
Protected Member Functions inherited from TopoDS_TShape
| TopoDS_TShape ()
| Constructs an empty TShape. Free : True Modified : True Checked : False Orientable : True Closed : False Infinite : False Convex : False. More...

## Detailed Description

The TEdge from BRep is inherited from the TEdge from TopoDS. It contains the geometric data.

The TEdge contains :

- A tolerance.
- A same parameter flag.
- A same range flag.
- A Degenerated flag.
- A list of curve representation.

## Constructor & Destructor Documentation

BRep_TEdge::BRep_TEdge | ( |  | ) |

Creates an empty TEdge.

## Member Function Documentation

BRep_ListOfCurveRepresentation& BRep_TEdge::ChangeCurves | ( |  | ) |

const BRep_ListOfCurveRepresentation& BRep_TEdge::Curves | ( |  | ) | const

Standard_Boolean BRep_TEdge::Degenerated | ( |  | ) | const

void BRep_TEdge::Degenerated | ( | const Standard_Boolean | S | ) |

Handle< TopoDS_TShape > BRep_TEdge::EmptyCopy | ( |  | ) | const
| virtual

Returns a copy of the TShape with no sub-shapes.

Implements TopoDS_TShape.

Standard_Boolean BRep_TEdge::SameParameter | ( |  | ) | const

void BRep_TEdge::SameParameter | ( | const Standard_Boolean | S | ) |

Standard_Boolean BRep_TEdge::SameRange | ( |  | ) | const

void BRep_TEdge::SameRange | ( | const Standard_Boolean | S | ) |

Standard_Real BRep_TEdge::Tolerance | ( |  | ) | const

void BRep_TEdge::Tolerance | ( | const Standard_Real | T | ) |

void BRep_TEdge::UpdateTolerance | ( | const Standard_Real | T | ) |

Sets the tolerance to the max of <T> and the current tolerance.

The documentation for this class was generated from the following file:

- BRep_TEdge.hxx